Skip to content
Start here

List Account Providers

client.aiGateway.customProviders.list(CustomProviderListParams { account_id, beta, enable, 3 more } params, RequestOptionsoptions?): V4PagePaginationArray<CustomProviderListResponse { id, base_url, created_at, 12 more } >
GET/accounts/{account_id}/ai-gateway/custom-providers

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
params: CustomProviderListParams { account_id, beta, enable, 3 more }
account_id: string

Path param

beta?: boolean

Query param

enable?: boolean

Query param

page?: number

Query param

minimum1
per_page?: number

Query param

maximum100
minimum1
ReturnsExpand Collapse
CustomProviderListResponse { id, base_url, created_at, 12 more }
id: string
formatuuid
base_url: string
formaturi
created_at: string
formatdate-time
modified_at: string
formatdate-time
name: string
slug: string
beta?: boolean
curl_example?: string
description?: string
enable?: boolean
headers?: string
maxLength8192
js_example?: string
position?: number

List Account Providers

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const customProviderListResponse of client.aiGateway.customProviders.list({
  account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0',
})) {
  console.log(customProviderListResponse.id);
}
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}